/* Solution Page Styles */
.solution-row{margin-top: -10rem}


.solution-grid-section {
    padding: 3rem 0 0 0;
    background-color: #fff;
}

.solution-grid-section .contact-top{padding:6rem 0 10rem;background:#fafafa}
.section-header {
    margin-bottom: 60px;
}

.section-header h2 {
    font-size: 2.5rem;
    font-weight: 700;
    color: #000;
    margin-bottom: 15px;
}

.section-header .en-title {
    font-size: 1.8rem;
    color: #333;
    letter-spacing: 1px;
}

.solution-item {
    margin-bottom: 60px;
}

.pill-title {
    display: inline-flex;
    align-items: center;
    background: #023894;
    color: #fff;
    border-radius: 50px;
    font-weight: 700;
    font-size: 1.5rem;
    height: 60px;padding:5px 100px;
    position: relative;
    margin-bottom: 25px;
}

.pill-number {
    width: 75px;
    height: 75px;
    position: absolute;left: 0;background: #023894;
    border: 4px solid #c6ddff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 15px;
    font-size: 1.8rem;
    flex-shrink: 0;
}
.pill-number img{max-width: 65%;height: auto;filter: brightness(0) invert(1);}

.item-subtext {
    font-size: 1.1rem;
    color: #333;
    margin-bottom: 15px;
    padding-left: 10px;
}

.solution-content-box {
    background-color: #f4f9ff;
    padding: 35px 40px;
    border-radius: 8px;
    position: relative;
    min-height: 220px;
    display: flex;
    align-items: center;
}

.solution-content-box::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 4px;
    height: 100%;
    border-radius:25px;
}

.solution-content-box.blue-line::before {
    background-color: #003366;

}

.solution-content-box.green-line::before {
    background-color: #82b342;
}

.solution-content-box p {
    margin-bottom: 0;
    line-height: 1.8;
    color: #444;
    font-size: 1rem;
}
.app-space{padding: 3rem 0}
.list-app{width: 98%;margin:1rem auto;
    display: grid;grid-template-columns: repeat(2, 1fr);gap:3rem}
.list-app .app{border-radius: .5rem;background: #f8f8f8;transition: all .3s}
.list-app .img-box{width: 100%;overflow: hidden;border-radius: .5rem;}
.list-app .app .img-box img{width: 100%;aspect-ratio: 4/2;object-fit: cover;border-radius: .5rem;transition: all .3s}
.list-app .app-info{padding: 0 0 1rem}
.app-title{width: 100%;display: flex;justify-content: space-between;align-items: center;
    padding: 1rem .5rem 1rem 1.5rem;border-bottom:solid 1px #dedede;position: relative}
.app-title:before{content:"";display: block;top:25%;height:50%;width:5px;position: absolute;left: 0;background: #002365;border-radius: .5rem;transition: all .3s}
.list-app .app h2{font-size: 1.2rem;font-weight: bold;line-height: 1.6;display: -webkit-box;overflow: hidden;color: #333;
    -webkit-line-clamp:1;text-overflow: ellipsis; -webkit-box-orient: vertical;width: calc(100% - 100px)}
.list-app .app p{font-size: 1rem;color: #555;margin: 1rem auto 1.5rem ;line-height:1.8;width:95%;padding: 0;
    display: -webkit-box;overflow: hidden;
    -webkit-line-clamp:2;text-overflow: ellipsis; -webkit-box-orient: vertical;}
.list-app .icon img{width: 50px;height: auto}
.list-app .app:hover .img-box img{transform: scale(1.05)}
.list-app .app:hover h2{color: #002365}
.list-app .app:hover .app-title:before{transform: translateY(.1rem);height:100%;top:0}
/*    application*/
.application{width: 98%;display: flex;justify-content: space-between;margin:1rem auto}
.application-r{width: 50%}
.application-h2{font-size:1.8rem;color:#222;font-weight: 700;margin-top:1rem}
.application-h3{font-size: 1.2rem;color: #222;line-height: 1.5;margin:.2rem auto 1.5rem;overflow: hidden;display: -webkit-box;overflow: hidden; -webkit-line-clamp:1;text-overflow: ellipsis; -webkit-box-orient: vertical;}
.application-summary{margin:0 auto 2rem;padding-top:1.5rem;border-top:solid 1px #dedede;position: relative;}
.application-summary:before{content:"";width:25px;height:5px;background:#8cc63f;display:block;position:absolute;left:0;top:-3px;border-radius:20px}
.application-summary .article{ font-size: 1rem;color: #555;line-height: 1.8;overflow: hidden;display: -webkit-box;overflow: hidden;
    -webkit-line-clamp:6;text-overflow: ellipsis; -webkit-box-orient: vertical;}

.application-l{width:43%;position: relative}
.application-l img{width: 100%;aspect-ratio: 4/2.2;object-fit: cover;object-position: center;border-radius:5px}
.application-phone{font-size:1.5rem;width: 100%;background: #fafafa;border-radius: 1rem;
    color: #333;font-weight: 700; border-left:solid 5px #023894;
    /* 核心：背景模糊，数值越大越模糊（单位px） */
    /*backdrop-filter: blur(10px);*/
    /* 可选：加边框让效果更清晰 */
    border: 1px solid rgba(255, 255, 255, 0.6);
    padding: 0.5rem 1rem}
.application-phone span{color: #004ed3;font-size: 1.6rem;margin-left:1rem}
.application-phone .bi{font-size:1.7rem;margin-right:.3rem}

.app-pro{background: #fff;box-shadow: 0 0 8px 1px #ccc;border-radius:5px;height:99%}
.app-pro .img{width:100%;display: flex;align-items: center;overflow: hidden;border-radius:5px;overflow:hidden}
.app-pro .img img{max-width: 100%;display: block;transition: all .3s;aspect-ratio:4/2.2;object-fit:cover;border-radius:5px}
.app-pro .title-box{width: 92%;margin: .5rem auto;padding: 1rem 0}
.app-pro .title{font-size: 1.1rem;font-weight: 700;overflow: hidden;white-space: nowrap;text-overflow: ellipsis;text-align:center}
.app-pro .subtitle{font-size: 1rem;color: #555;overflow: hidden;text-align:center;display: -webkit-box;overflow: hidden;
    -webkit-line-clamp:2;text-overflow: ellipsis; -webkit-box-orient: vertical;}
.app-pro:hover .img img{transform: scale(1.05)}

/* /*similar*/
.similar-box{
    width: 100%; background: url(../images/newsbg.jpg) no-repeat center center;padding:2rem 0 1rem;
    background-size: cover;border-bottom: solid 1px #dedede;border-top: solid 1px #dedede;overflow: hidden;
    margin-top: 2rem;
}
.similar-box .swiper-wrapper{height: auto}
.similar-h2{text-align: center;font-size: 1.8rem;font-weight: 700;}
.similar-scroll{margin:2rem auto;max-width:1700px;padding: 0 2%}
.similar-pro{background: #fff;box-shadow: 1px  5px 5px 1px #eee;border-radius: 10px;margin:0.5rem}
.similar-pro .img{width:100%;display: flex;align-items: center;aspect-ratio:1/1;overflow: hidden}
.similar-pro .img img{max-width: 100%;height: auto;display: block;transition: all .3s}
.similar-pro .title-box{border-top: solid 1px #dedede;width: 92%;margin: .5rem auto;padding: 1rem 0}
.similar-pro .title{font-size: 1.1rem;font-weight: 700;overflow: hidden;white-space: nowrap;text-overflow: ellipsis}
.similar-pro .subtitle{font-size: 1rem;color: #555}

.similar-box .wrapper-box{width:calc(100% - 120px);margin:0 auto;position: relative;overflow: hidden}
.similar-box .swiper-slide{height: auto!important;border-radius:1rem}
.similar-box .swiper-button-next{width: 43px;height: 43px;background:url(../images/similar-arrowr.png) no-repeat center center;background-size: 100%}
.similar-box .swiper-button-prev{width: 43px;height: 43px;background:url(../images/similar-arrowl.png) no-repeat center center;background-size: 100%}
.similar-box .swiper-button-next:after, .swiper-button-prev:after{display: none}
.similar-pro:hover .img img{transform:scale(1.05)}
.similar-pro:hover .title{color: #023894}





/* Responsive adjustments */
@media (max-width: 991px) {
    .solution-item {
        margin-bottom: 40px;
    }
    .pill-title {
        font-size: 1.2rem;
        padding: 10px 25px;
    }
    .solution-row{margin-top: 0}
    .solution-content-box{min-height: auto;padding: 1rem;font-size: .95rem}
    .solution-content-box p{font-size: .95rem;}
    .item-subtext{font-size: 1rem;margin-bottom: 1rem}
    .pill-title{padding: 5px 50px 5px 75px;margin-bottom: 1rem;height: 50px;width: 90%}
    .pill-number{width: 60px;height: 60px}
    .solution-item {margin-bottom: 1rem;    }
    .solution-grid-section{padding: 0 0 1rem}
    .solution-grid-section .contact-top{display: none}
    .section-title-box{margin: 1rem 0}
    .brand-text{display: none}
/*case*/
    .app-space{padding: 1rem 0}
    .list-app{width: 90%;display: grid;grid-template-columns: repeat(1, 1fr);gap:1.5rem;margin:0 auto}
    .list-app .app{border-radius: .5rem;background: #f8f8f8;transition: all .3s}
    .list-app .img-box{width: 100%;overflow: hidden;border-radius: .5rem;}
    .list-app .app .img-box img{width: 100%;aspect-ratio: 4/2;object-fit: cover;border-radius: .5rem;transition: all .3s}
    .list-app .app-info{padding: 0 0 1rem}
    .app-title{width: 100%;display: flex;justify-content: space-between;align-items: center;
        padding: 1rem .5rem 1rem 1.5rem;border-bottom:solid 1px #dedede;position: relative}
    .app-title:before{content:"";display: block;top:25%;height:50%;width:5px;position: absolute;left: 0;background: #002365;border-radius: .5rem;transition: all .3s}
    .list-app .app h2{font-size: 1.1rem;font-weight: bold;line-height: 1.6;display: -webkit-box;overflow: hidden;color: #333;
        -webkit-line-clamp:1;text-overflow: ellipsis; -webkit-box-orient: vertical;width: calc(100% - 100px)}
    .list-app .app p{font-size: .95rem;color: #4a4a4a;margin: .5rem auto .5rem ;line-height:1.8;width:95%;padding: 0;
        display: -webkit-box;overflow: hidden;
        -webkit-line-clamp:2;text-overflow: ellipsis; -webkit-box-orient: vertical;}
    .list-app .icon img{width: 50px;height: auto}
    .list-app .app:hover .img-box img{transform: scale(1.05)}
    .list-app .app:hover h2{color: #002365}
    .list-app .app:hover .app-title:before{transform: translateY(.1rem);height:100%;top:0}
    /*application*/
    .application{width: 90%;display: flex;flex-direction:column;margin:0 auto}
    .application-r{width: 100%}
    .application-h2{font-size: 1.1rem;color:#222;font-weight: 700;margin-top:1rem}
    .application-h3{font-size: .9rem;color: #555;line-height: 1.5;margin:.2rem auto .8rem;overflow: hidden;display: -webkit-box;overflow: hidden; -webkit-line-clamp:1;text-overflow: ellipsis; -webkit-box-orient: vertical;}
    .application-summary{margin:0 auto 1rem;padding-top:.5rem;border-top:solid 1px #dedede;position: relative;}
    .application-summary:before{content:"";width:25px;height:5px;background:#023894;display:block;position:absolute;left:0;top:-3px;border-radius:20px}
    .application-summary .article{ font-size: .9rem;color: #555;line-height: 1.6;overflow: hidden;display: -webkit-box;overflow: hidden;
        -webkit-line-clamp:3;text-overflow: ellipsis; -webkit-box-orient: vertical;}

    .application-l{width:100%;position: relative}
    .application-l img{width: 100%;aspect-ratio: 4/2.2;object-fit: cover;object-position: center;border-radius:5px}
    .application-phone{font-size:1.2rem;width: 100%;background: #fafafa;border-radius: 1rem;
        color: #333;font-weight: 700; border-left:solid 5px #023894;
        /* 核心：背景模糊，数值越大越模糊（单位px） */
        /*backdrop-filter: blur(10px);*/
        /* 可选：加边框让效果更清晰 */
        border: 1px solid rgba(255, 255, 255, 0.6);
        padding: 0.5rem 1rem}
    .application-phone span{color: #023894;font-size: 1.2rem;margin-left:1rem}
    .application-phone .bi{font-size:1.2rem;margin-right:.3rem}
    /*scroll*/
    .app-pro{background: #fff;box-shadow: 0 0 8px 1px #ccc;border-radius:5px;height:99%}
    .app-pro .img{width:100%;display: flex;align-items: center;overflow: hidden}
    .app-pro .img img{max-width: 100%;display: block;transition: all .3s;aspect-ratio:4/3;object-fit:cover;border-radius:5px}
    .app-pro .title-box{width: 92%;margin:0 .5rem auto;padding:.5rem 0 1rem;}
    .app-pro .title{font-size: 1rem;font-weight: 700;overflow: hidden;white-space: nowrap;text-overflow: ellipsis}
    .app-pro .subtitle{font-size: .8rem;color: #555;overflow: hidden;display: -webkit-box;overflow: hidden;
        -webkit-line-clamp:2;text-overflow: ellipsis; -webkit-box-orient: vertical;}
    /*similar*/
    .similar-box{
        width: 100%; background: url(../images/develop-fullbg.jpg) no-repeat bottom center;padding:1.5rem 0 0;
        background-size: cover;border-bottom: solid 1px #dedede;border-top: solid 1px #dedede;overflow: hidden;
        margin-top: 2rem;
    }
    .similar-box .swiper-wrapper{height: auto}
    .similar-h2{text-align: center;font-size: 1.4rem;font-weight: 700;}
    .similar-scroll{margin:1rem auto 1rem;max-width:1700px;padding: 0 2%}
    .similar-pro{background: #fff;box-shadow: 0 0 8px 1px #ccc;margin-top:.5rem}
    .similar-pro .img{width:100%;display: flex;align-items: center;aspect-ratio:1/1;overflow: hidden}
    .similar-pro .img img{max-width: 100%;height: auto;display: block;transition: all .3s}
    .similar-pro .title-box{border-top: solid 1px #dedede;width: 92%;margin: .5rem auto;padding: 1rem 0}
    .similar-pro .title{font-size: 1rem;font-weight: 700;overflow: hidden;white-space: nowrap;text-overflow: ellipsis}
    .similar-pro .subtitle{font-size: .85rem;color: #555;white-space:nowrap;overflow:hidden;white-space:nowrap}

    .similar-box .wrapper-box{width:100%;margin:0 auto;position: relative;overflow: hidden;padding-bottom:50px}
    .similar-box .swiper-slide{height: auto!important;border-radius:1rem}
    .similar-box .swiper-button-next{width: 35px;height: 35px;top:95%;left:calc(50% + 35px);
        background:url(../images/similar-arrowr.png) no-repeat center center;background-size: 100%}
    .similar-box .swiper-button-prev{width: 35px;height: 35px;top:95%;left:calc(50% - 35px);
        background:url(../images/similar-arrowl.png) no-repeat center center;background-size: 100%}
    .similar-box .swiper-button-next:after, .swiper-button-prev:after{display: none}
    .similar-pro:hover .img img{transform:scale(1.05)}
}
